## installation-guide 20170614

=== debian/changelog ===
installation-guide (20170614) unstable; urgency=medium

  [ Holger Wansing ]
  * Updated translation for Chinese (simplified), by Yangfl
    <mmyangfl@gmail.com>.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Jun 2017 10:53:14 +0200

installation-guide (20170607) unstable; urgency=medium

  [ Holger Wansing ]
  * Update documentation on device nodes for CD-ROM drives. Closes: #864038
  * Set condition 'unofficial' for 'What is Debian GNU/kFreeBSD' chapter. 
    Closes: #864040

 -- Samuel Thibault <sthibault@debian.org>  Wed, 07 Jun 2017 23:05:12 +0200

installation-guide (20170525) unstable; urgency=medium

  [ Holger Wansing ]
  * Some '>' changed into '&gt;' within <informalexample> tags, to get
    them correctly processed.
  * Add missing CSS style for <tip> tag. Closes: #860180

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 May 2017 12:26:18 +0200

installation-guide (20170419) unstable; urgency=medium

  [ Samuel Thibault ]
  * Re-enable Dutch translation.  Thanks a lot to Frans Spiesschaert!
  * Document shortcuts for expert, rescue, and automated installation with
    accessibility.
  * Update distrib name about the absence of graphical installer on arm64.
  * Drop the note about USB not being supported on Mustang, that was fixed.

  [ Geert Stappers ]
  * Add header to preseed file. Closes: #859438

  [ Holger Wansing ]
  * Set TMPDIR variable, to get dblatex debugging files removed after pdf
    build. Closes: #859150

 -- Samuel Thibault <sthibault@debian.org>  Wed, 19 Apr 2017 00:38:24 +0200

installation-guide (20170312) unstable; urgency=medium

  [ Holger Wansing ]
  * Catalan translation converted to po format and updated/completed.
    Many thanks to Innocent De Marchi!
  * Add a warning to be displayed in outdated translations.  Closes: #783351
  * Some mips related cleanups and updates. Patch-by: James Cowgill.
    Closes: #855134
  * Convert german translation into po format.
  * Convert italian translation into po format.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Mar 2017 14:40:55 +0100

installation-guide (20170211) unstable; urgency=medium

  [ Samuel Thibault ]
  * Fix arch-title in French and Italian. Thanks Holger Wansing for the
    notice.
  * Fix URL for debian-installer git repository. Thanks to Richard Owlett
    for the hint.
  * Fix build when starting creating xml files with a non-translated po file,
    e.g. gpl.xml.  Closes: #850232
  * Update figures.
  * Bump Standards-Version to 3.9.8 (no change).

  [ Karsten Merker ]
  * Update sunxi platform support status (armhf).

  [ Baptiste Jammet ]
  * Document how to use debootstrap with foreign architectures.

  [ Holger Wansing ]
  * Change build chain for pdf variant from jade to dblatex
    and activate pdf for Chinese, Greek, Japanese and Vietnamese
    (pdf was not supported before for those languages).
    Thanks to victory for the patch.

  [ Frans Spiesschaert ]
  * Dutch translation for welcome chapter.  Closes: #853767

  [ Cyril Brulebois ]
  * Mass-update po translations (install-methods.po) so that the syslinux
    example is correct (see #803267): el es fi hu ko ru sv vi zh_CN zh_TW

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Feb 2017 18:59:58 +0100

installation-guide (20161031) unstable; urgency=medium

  [ Karsten Merker ]
  * Update the architecture table for Stretch.

  [ Samuel Thibault ]
  * Document text frontend shortcuts.
  * Document passing option in the x86 UEFI case.
  * Add mips64el arch.
  * Comment powerpc and kfreebsd archs.

  [ victory ]
  * Small fixes.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Oct 2016 15:56:50 +0100

installation-guide (20160629) unstable; urgency=medium

  [ Holger Wansing ]
  * Switch to the new apt commands, instead of the aptitude respective
    the old apt-get / apt-cache ones.

  [ Martin Michlmayr ]
  * Fix typo in French translation.  Thanks Mathieu Malaterre.  Closes:
    #815537
  * Improve package description of MIPS and PowerPC manuals.  Thanks
    Mathieu Malaterre.
  * Add Seagate Personal Cloud and Seagate NAS as supported systems.
  * Add NVIDIA Jetson TK1 as supported system.

  [ Ryuunosuke Ayanokouzi ]
  * Make create_xml use original english text for fuzzy entries. Closes:
    #825270.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 Jun 2016 00:24:49 +0200

=== debian/control ===
Source: installation-guide
Section: doc
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Standards-Version: 3.9.8
Vcs-Svn: svn://svn.debian.org/d-i/trunk/manual
Vcs-Browser: http://anonscm.debian.org/viewvc/d-i/trunk/manual/
Build-Depends: debhelper (>= 6)
Build-Depends-Indep: docbook, docbook-xml, docbook-xsl, xsltproc, gawk, libhtml-parser-perl, w3m, poxml, jadetex, openjade, dblatex, docbook-dsssl, ghostscript, texlive-xetex, lmodern, texlive-lang-cyrillic, texlive-lang-czechslovak, texlive-lang-european, texlive-lang-french, texlive-lang-german, texlive-lang-greek, texlive-lang-italian, texlive-lang-other, texlive-lang-portuguese, texlive-lang-spanish, ko.tex-base, cm-super, fonts-wqy-microhei, fonts-vlgothic, fonts-freefont-ttf
# This comment can also be used to generate a Build-Depends-Indep line, by
# running the debian/genbuilddeps program. So put each build dep on its own
# line, prefixed by " - " and to comment out a build dep, start the line
# with two hashes. And don't edit the Build-Depends-Indep line above by hand.
#
#	- docbook
#	- docbook-xml
#	- docbook-xsl
#	- xsltproc
#		The manual is a docbook XML document, so needs these to	build.
#	- gawk
#	- libhtml-parser-perl
#		Used as part of the manual build process.
#	- w3m
#		Used to generate plain text manual from html.
#	- poxml
#		Translations of the manual are done in po files via poxml.
#	- jadetex
#	- openjade
#		ps variants are build using jade.
#	- dblatex
#		pdf variants are build using dblatex.
#	- docbook-dsssl
#		Used for producing pdf and ps files.
#	- ghostscript
#		For pdfs.
#	- texlive-xetex
# 	- lmodern
#		For pdfs.
#	- texlive-lang-cyrillic
#	- texlive-lang-czechslovak
#	- texlive-lang-european
##	- texlive-lang-danish
##	- texlive-lang-dutch
##	- texlive-lang-finnish
#	- texlive-lang-french
#	- texlive-lang-german
#	- texlive-lang-greek
#	- texlive-lang-italian
#	- texlive-lang-other
#		Contains hyphenation for Romanian.
#	- texlive-lang-portuguese
#	- texlive-lang-spanish
##	- texlive-lang-swedish
##	- texlive-lang-vietnamese
#		All texlive-lang-* packages provide hyphenation and other
#		language-specific support.
#	- ko.tex-base
#		Font for Korean ps.
#	- cm-super
#		Font for Russian ps.
#	- fonts-wqy-microhei
#		Font for Korean and Chinese pdf.
#	- fonts-vlgothic
#		Font for Japanese pdf.
#	- fonts-freefont-ttf

Package: installation-guide-amd64
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for amd64
 This package contains the Debian installation guide for the AMD64
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-arm64
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for arm64
 This package contains the Debian installation guide for the 64bit ARM
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-armel
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for armel
 This package contains the Debian installation guide for the ARM
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-armhf
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for armhf
 This package contains the Debian installation guide for the ARM
 with Hardware FPU architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

#Package: installation-guide-hppa
#Architecture: all
#Depends: ${misc:Depends}
#Conflicts: installation-guide
#Description: Debian installation guide for hppa
# This package contains the Debian installation guide for the PA-RISC
# architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-i386
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for i386
 This package contains the Debian installation guide for the Intel x86
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

# Package: installation-guide-ia64
# Architecture: all
# Depends: ${misc:Depends}
# Conflicts: installation-guide
# Description: Debian installation guide for ia64
#  This package contains the Debian installation guide for the IA-64
#  architecture, in a variety of languages.
#  .
#  A shorter reference, the installation HOWTO, is included in an appendix.
#
#Package: installation-guide-kfreebsd-amd64
#Architecture: all
#Depends: ${misc:Depends}
#Conflicts: installation-guide
#Description: Debian installation guide for kFreeBSD amd64
# This package contains the Debian installation guide for the kFreeBSD kernel
# running on the AMD64 architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.
#
#Package: installation-guide-kfreebsd-i386
#Architecture: all
#Depends: ${misc:Depends}
#Conflicts: installation-guide
#Description: Debian installation guide for kFreeBSD i386
# This package contains the Debian installation guide for the kFreeBSD kernel
# running on the Intel x86 architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-mips
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for mips
 This package contains the Debian installation guide for the big-endian
 32bit MIPS architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-mips64el
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for mips64el
 This package contains the Debian installation guide for the little-endian
 64bit MIPS architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-mipsel
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for mipsel
 This package contains the Debian installation guide for the little-endian
 32bit MIPS architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

#Package: installation-guide-powerpc
#Architecture: all
#Depends: ${misc:Depends}
#Conflicts: installation-guide
#Description: Debian installation guide for powerpc
# This package contains the Debian installation guide for the big-endian
# PowerPC architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-ppc64el
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for powerpc
 This package contains the Debian installation guide for the little-endian
 64bit PowerPC architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-s390x
Architecture: all
Depends: ${misc:Depends}
Conflicts: installation-guide
Description: Debian installation guide for s390x
 This package contains the Debian installation guide for the 64bit S/390
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

# Package: installation-guide-sparc
# Architecture: all
# Depends: ${misc:Depends}
# Conflicts: installation-guide
# Description: Debian installation guide for sparc
#  This package contains the Debian installation guide for the Sparc
#  architecture, in a variety of languages.
#  .
#  A shorter reference, the installation HOWTO, is included in an appendix.

=== debian/rules ===
#!/usr/bin/make -f

ARCHS=$(shell cd debian; ./getfromlist archlist)
LANGS=$(shell cd debian; ./getfromlist langlist)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
ifeq (${SUITE},unstable)
SUITE=stretch
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
DEB_PARALLEL_JOBS ?= $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifneq (,$(DEB_PARALLEL_JOBS))
PARALLEL=-j$(DEB_PARALLEL_JOBS)
endif


MANTMP=$(shell pwd)/debian/manual

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp
	rm -rf $(MANTMP)
	dh_clean doc-base-stamp
	rm -rf debian/installation-guide-*.doc-base.*
	rm -rf build/build.out* build/build.tmp* build/build.po

doc-base: doc-base-stamp
doc-base-stamp:
	@echo $(ARCHS)
	rm -f $@
	rm -rf debian/installation-guide-*.doc-base.*
	set -e; cd debian && \
	    for arch in $(ARCHS); do \
		for lang in $(LANGS); do \
		    arch_full="$$(grep "^$$arch[[:space:]]" archlist | cut -f 2)"; \
		    lang_full="$$(grep "^$$lang[[:space:]]" langlist | cut -f 2)"; \
		    lang_id="$$(echo $$lang | tr A-Z a-z | sed "s/_/-/")"; \
		    sed -e "s:%ARCH%:$$arch:g" -e "s:%ARCH_FULL%:$$arch_full:g" \
			-e "s:%LANG%:$$lang:g" -e "s:%LANG_FULL%:$$lang_full:g" \
			-e "s:%LANG_ID%:$$lang_id:g" \
			TEMPLATE.doc-base >installation-guide-$$arch.doc-base.$$lang; \
		    if [ ! -e manual/$$arch/$$lang/install.$$lang.pdf ]; then \
			    sed -i "/Format: pdf/,/^$$/d" installation-guide-$$arch.doc-base.$$lang; \
		    fi; \
		done; \
	    done
	touch $@

build: build-arch build-indep

build-arch:

build-indep: build-stamp
build-stamp:
	rm -f $@
	-rm -rf $(MANTMP)
	set -e && cd build && \
		MAKEFLAGS="$(PARALLEL)" \
		official_build=1 manual_release=$(SUITE) \
		architectures="$(ARCHS)" languages="$(LANGS)" \
		destination=$(MANTMP)/'$${arch}' noarchdir=1 \
		./build.sh
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
binary-arch:

binary-indep: install doc-base
	dh_testdir
	dh_testroot
	dh_installchangelogs
	for arch in $(ARCHS) ; do \
		dh_installdocs -p installation-guide-$$arch $(MANTMP)/$$arch/* ; \
	done
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

	# Create a tarball for each arch for use in debian-cd
	# Note: these should be uploaded manually
	#set -e && cd $(MANTMP) && \
	#    for arch in $(ARCHS) ; do \
	#	tarname=di-manual-$${arch}_$(VERSION).tar.gz ; \
	#	cd $$arch ; \
	#	tar czf ../../../../$$tarname . ; \
	#	cd .. ; \
	#    done

binary: binary-indep binary-arch 
.PHONY: build build-arch build-indep build-images clean binary-indep binary-arch binary install

## installation-guide 20190622

=== build/Makefile ===
TARGETS=$(foreach language,$(languages),$(addprefix $(language).,$(architectures)))

.PHONY: $(TARGETS)

all: $(TARGETS)

$(TARGETS): %:
	set -e ; \
	target=$@ ; \
	lang=$${target%.*} ; \
	lang_id="$$(echo $$lang | tr A-Z a-z | sed "s/_/-/")" ; \
	arch=$${target#*.} ; \
	eval arch_destination=$$destination ; \
	echo "Architecture: $$arch" ; \
	if [ -n "$$noarchdir" ]; then \
		destsuffix="$$lang" ; \
	else \
		if [ -n "$$web" ] ; then \
			destsuffix="$$arch" ; \
		else \
			destsuffix="$$lang.$$arch" ; \
		fi ; \
	fi ; \
	export destdir=build.out.$$lang.$$arch ; \
	export tempdir=build.tmp.$$lang.$$arch ; \
	echo "Calling ./buildone.sh \"$$arch\" \"$$lang\" \"$$formats\"" ; \
	./buildone.sh "$$arch" "$$lang" "$$formats" ; \
	mkdir -p "$$arch_destination/$$destsuffix" ; \
	for format in $$formats; do \
		if [ "$$format" = html ]; then \
			mkdir -p "$$arch_destination/$$destsuffix/images" ; \
			mv ./$$destdir/html/images/* "$$arch_destination/$$destsuffix/images" ; \
			rmdir ./$$destdir/html/images ; \
			mv ./$$destdir/html/* "$$arch_destination/$$destsuffix" ; \
		else \
			# Do not fail because of missing PDF support for some languages \
			if [ -n "$$web" ] ; then \
				mv ./$$destdir/install.$$lang.$$format "$$arch_destination/$$destsuffix/install.$$format.$$lang_id" 2>/dev/null || true ; \
			else \
				mv ./$$destdir/install.$$lang.$$format "$$arch_destination/$$destsuffix" 2>/dev/null || true ; \
			fi ; \
		fi ; \
	done ; \
	./clear.sh

=== debian/changelog ===
installation-guide (20190622) unstable; urgency=medium

  [ Changwoo Ryu ]
  * Improve Korean pdf

  [ Samuel Thibault ]
  * Update numbers.
  * Update dark theme shortcut.
  * Update minimum memory figures.

  [ Baptiste BEAUPLAT ]
  * Document new partman-auto-lvm/guide_size option in preseed. Closes: #930846

  [ Holger Wansing ]
  * Add 'outdated translation' warning for Czech.

  [ Updated translations ]
  * Greek by Emmanuel Galatoulas
  * Japanese by Hideki Yamane
  * Korean by Changwoo Ryu

 -- Samuel Thibault <sthibault@debian.org>  Sat, 22 Jun 2019 19:49:29 +0200

installation-guide (20190323) unstable; urgency=medium

  [ Holger Wansing ] 
  * Add chapter "What is the Debian Installer?" by Miguel Figueiredo; thanks
    for the patch. Closes: #606287
  * Slight update for network configuration in 'Installing Debian GNU/Linux 
    from a Unix/Linux System' chapter. Closes: #911020
  * Some changings/removal of 'FTP' occurrences due to Debians FTP server
    shutdown.
  * Add missing installation step in chapter 3.1 (install overview).
  * Minor clarification on the reliability of the Debian Installer system.
  * Update/switch URL entities from http to https.
  * Add additional info for net booting on UEFI machines. Patch by Vincent
    McIntyre, thanks. Closes: #907837
  * Convert win32-loader.exe string into a clickable link.
  * Remove 'Laptop' entry from table 'Disk Space Needed for Tasks' (there
    is no such task option in the installer anymore).
  * Rename a forgotten occurrence of 'aptitude' into 'apt'.
  * Remove a sentence which describes the old tasksel behaviour calling
    aptitude to allow selection of individual packages.
  * Correct order of modules in 'Using the installer' chapter: clock setup
    is after user account setup, not before.
  * Add debian/source/format file, to fix lintian warning.
  * Remove trailing whitespaces from changelog file, to fix lintian tag.
  * Document dark menu entry.

  [ Samuel Thibault ]
  * control: Mark packages as multi-arch: foreign.
  * Document the soundcard selection prompt.

  [ Updated translations ]
  * Danish by Joe Hansen
  * Dutch by Frans Spiesschaert
  * French by Baptiste Jammet
  * German by Holger Wansing
  * Italian by Luca Monducci
  * Portuguese by Miguel Figueiredo
  * Russian by Yuri Kozlov

 -- Samuel Thibault <sthibault@debian.org>  Sat, 23 Mar 2019 10:43:07 +0100

installation-guide (20180923) unstable; urgency=medium

  [ Samuel Thibault ]
  * rules: Fix release name.

  [ Holger Wansing ]
  * Update remaining Alioth references to dillon. Closes: #898665
  * Overhaul of 'Baking your own kernel' chapter. Closes: #784206
  * Creating bootable usb devices: link to Debian CD FAQ, on how to achieve
    this on other OS'es. Closes: #863868
  * Remove references to non-US (no longer existing for ages). Closes: #759428
  * Document how to install additional packages afterwards. Closes: #615646
  * Improve/update documentation regarding booting from USB storage.
    Closes: #756859
  * Add a warning about the use of LVM partition types. Closes: #776313
  * Reorganize chapter about "Further reading" and merge with "New to Unix"
    chapter. Closes: #864037
  * Update of "What is Debian" chapter. Closes: #864039

  [ Frans Spiesschaert ]
  * Dutch translation update

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Sep 2018 22:23:34 +0200

installation-guide (20180603) unstable; urgency=medium

  [ Samuel Thibault ]
  * Reverse extensions of html files for the website: .html.$lang ->
    .$lang.html
  * Bump release name to buster.
  * control: Bump Standards-Version to 4.1.4 (no change).
  * Document that the boot menu is using the QWERTY keyboard layout.
  * Use https anonscm URL
  * Fix URL for development version.
  * source/options: Ignore .git directory when building tarball.
  * Update some docs to git workflow.

  [ Holger Wansing ]
  * Update Linux Foundation's URL for FHS. Closes: #865981
  * Rephrase sentence to ensure it will be completely converted into po
    format. Closes: #344693
  * Globally use S/390 instead of s390 for consistency. Closes: #366380.
  * Document 255 characters limit for kernel command line. Closes: #397592.
  * Document the installation of sudo, if no root password is given.
    Closes: #692314
  * Icedove was de-branded to Thunderbird (see #816679): related changings.
  * Fix typo in supported ARM devices section. Closes: #869932
  * Remove support for 'ps' output format, therefore remove depends openjade,
    jadetex, ko.tex-base and cm-super as well. Closes: #871751
  * Set forgotten conditions 'bootable-usb' and 'isohybrid-supported' for
    arm64.
  * Remove chapter 'Booting from USB with U-Boot' for armel, is not supported
    there. Closes: #864848
  * Remove "Checked/not checked for <arch>" warnings except for hurd and
    kfreebsd variants. Closes: #868357
  * Fix "ID xxx-yyy already defined" validation errors by making IDs unique
    for the whole manual. Closes: #880210
  * control: Update Vcs fields on migration from Alioth to Salsa.
  * Update files in /doc on git migration.

  [ Martin Michlmayr ]
  * Remove QNAP TS-109, TS-209 and TS-409 as they are no longer supported.

  [ Raphaël Hertzog ]
  * Document the new iso-scan/copy_iso_to_ram feature (see #868900).

  [ Cyril Brulebois ]
  * Fix FTBFS with TeX Live 2018, thanks to Hilmar Preuße (po/ja/).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Jun 2018 22:41:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
-Standards-Version: 3.9.8
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/manual
-Vcs-Browser: http://anonscm.debian.org/viewvc/d-i/trunk/manual/
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/installer-team/installation-guide.git
+Vcs-Browser: https://salsa.debian.org/installer-team/installation-guide
 Build-Depends: debhelper (>= 6)
-Build-Depends-Indep: docbook, docbook-xml, docbook-xsl, xsltproc, gawk, libhtml-parser-perl, w3m, poxml, jadetex, openjade, dblatex, docbook-dsssl, ghostscript, texlive-xetex, lmodern, texlive-lang-cyrillic, texlive-lang-czechslovak, texlive-lang-european, texlive-lang-french, texlive-lang-german, texlive-lang-greek, texlive-lang-italian, texlive-lang-other, texlive-lang-portuguese, texlive-lang-spanish, ko.tex-base, cm-super, fonts-wqy-microhei, fonts-vlgothic, fonts-freefont-ttf
+Build-Depends-Indep: docbook, docbook-xml, docbook-xsl, xsltproc, gawk, libhtml-parser-perl, w3m, poxml, dblatex, docbook-dsssl, ghostscript, texlive-xetex, lmodern, texlive-lang-cyrillic, texlive-lang-czechslovak, texlive-lang-european, texlive-lang-french, texlive-lang-german, texlive-lang-greek, texlive-lang-italian, texlive-lang-korean, texlive-lang-other, texlive-lang-portuguese, texlive-lang-spanish, fonts-wqy-microhei, fonts-vlgothic, fonts-nanum, fonts-nanum-coding, fonts-freefont-ttf
 # This comment can also be used to generate a Build-Depends-Indep line, by
 # running the debian/genbuilddeps program. So put each build dep on its own
 # line, prefixed by " - " and to comment out a build dep, start the line
@@ -25,13 +25,10 @@
 #		Used to generate plain text manual from html.
 #	- poxml
 #		Translations of the manual are done in po files via poxml.
-#	- jadetex
-#	- openjade
-#		ps variants are build using jade.
 #	- dblatex
 #		pdf variants are build using dblatex.
 #	- docbook-dsssl
-#		Used for producing pdf and ps files.
+#		Used for producing pdf files.
 #	- ghostscript
 #		For pdfs.
 #	- texlive-xetex
@@ -47,6 +44,7 @@
 #	- texlive-lang-german
 #	- texlive-lang-greek
 #	- texlive-lang-italian
+#	- texlive-lang-korean
 #	- texlive-lang-other
 #		Contains hyphenation for Romanian.
 #	- texlive-lang-portuguese
@@ -55,18 +53,18 @@
 ##	- texlive-lang-vietnamese
 #		All texlive-lang-* packages provide hyphenation and other
 #		language-specific support.
-#	- ko.tex-base
-#		Font for Korean ps.
-#	- cm-super
-#		Font for Russian ps.
 #	- fonts-wqy-microhei
-#		Font for Korean and Chinese pdf.
+#		Font for Chinese pdf.
 #	- fonts-vlgothic
 #		Font for Japanese pdf.
+#	- fonts-nanum
+#	- fonts-nanum-coding
+#		Font for Korean pdf.
 #	- fonts-freefont-ttf
 
 Package: installation-guide-amd64
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for amd64
@@ -77,6 +75,7 @@
 
 Package: installation-guide-arm64
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for arm64
@@ -87,6 +86,7 @@
 
 Package: installation-guide-armel
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for armel
@@ -97,6 +97,7 @@
 
 Package: installation-guide-armhf
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for armhf
@@ -107,6 +108,7 @@
 
 #Package: installation-guide-hppa
 #Architecture: all
+#Multi-Arch: foreign
 #Depends: ${misc:Depends}
 #Conflicts: installation-guide
 #Description: Debian installation guide for hppa
@@ -117,6 +119,7 @@
 
 Package: installation-guide-i386
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for i386
@@ -127,6 +130,7 @@
 
 # Package: installation-guide-ia64
 # Architecture: all
+# Multi-Arch: foreign
 # Depends: ${misc:Depends}
 # Conflicts: installation-guide
 # Description: Debian installation guide for ia64
@@ -137,6 +141,7 @@
 #
 #Package: installation-guide-kfreebsd-amd64
 #Architecture: all
+#Multi-Arch: foreign
 #Depends: ${misc:Depends}
 #Conflicts: installation-guide
 #Description: Debian installation guide for kFreeBSD amd64
@@ -147,6 +152,7 @@
 #
 #Package: installation-guide-kfreebsd-i386
 #Architecture: all
+#Multi-Arch: foreign
 #Depends: ${misc:Depends}
 #Conflicts: installation-guide
 #Description: Debian installation guide for kFreeBSD i386
@@ -157,6 +163,7 @@
 
 Package: installation-guide-mips
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for mips
@@ -167,6 +174,7 @@
 
 Package: installation-guide-mips64el
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for mips64el
@@ -177,6 +185,7 @@
 
 Package: installation-guide-mipsel
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for mipsel
@@ -187,6 +196,7 @@
 
 #Package: installation-guide-powerpc
 #Architecture: all
+#Multi-Arch: foreign
 #Depends: ${misc:Depends}
 #Conflicts: installation-guide
 #Description: Debian installation guide for powerpc
@@ -197,6 +207,7 @@
 
 Package: installation-guide-ppc64el
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for powerpc
@@ -207,6 +218,7 @@
 
 Package: installation-guide-s390x
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Conflicts: installation-guide
 Description: Debian installation guide for s390x
@@ -217,6 +229,7 @@
 
 # Package: installation-guide-sparc
 # Architecture: all
+# Multi-Arch: foreign
 # Depends: ${misc:Depends}
 # Conflicts: installation-guide
 # Description: Debian installation guide for sparc

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
 SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
 ifeq (${SUITE},unstable)
-SUITE=stretch
+SUITE=buster
 endif
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

## installation-guide 20190622+nmu1

=== debian/changelog ===
installation-guide (20190622+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 13:46:43 +0800

## installation-guide 20210730

=== debian/changelog ===
installation-guide (20210730) unstable; urgency=medium

  [ Holger Wansing ]
  * Remove outdated-translation mark for Japanese.

  [ Cyril Brulebois ]
  * Expand firmware-related documentation (Closes: #991627):
     - Mention rebooting into the installed system can result in a black
       screen or garbled display.
     - Mention possible workarounds (nomodeset, VT switching).
     - Mention an isenkram-based procedure to automatically install
       firmware packages from within the installed system.
  * Refresh README.

  [ Updated translations ]
  * Catalan by d
  * Japanese by YOSHINO Yoshihito
  * Chinese (simplified) by Boyuan Yang <073plan@gmail.com>

 -- Cyril Brulebois <kibi@debian.org>  Fri, 30 Jul 2021 20:25:02 +0200

installation-guide (20210604+rebuild) unstable; urgency=medium

  * Re-upload to get built on buildd, no source change.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 05 Jun 2021 00:44:37 +0200

installation-guide (20210604) unstable; urgency=medium

  [ Charles Curley ]
  * preseed: Document comments syntax. Closes: #985853

  [ Samuel Thibault ]
  * Add note about the lowmem parameter in the memory requirement section.
    Closes: #987701
  * Update lowmem levels for arm64, armhf, mipsel, mips64el.

  [ Updated translations ]
  * Dutch by Frans Spiesschaert
  * German by Holger Wansing

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Apr 2021 22:02:59 +0200

installation-guide (20210305) unstable; urgency=medium

  [ Samuel Thibault ]
  * Bump debhelper compat to 12, no change in the resulting binary packages
    (Closes: Bug#965596)
  * control: Bump Standards-Version to 4.5.0 (no change).
  * Mention that minimum hardware requirements are for non-liveCD images
    (Closes: Bug#976255)
  * rules: Set FORCE_SOURCE_DATE to 1.
  * build/entities/urls.ent: Update brltty website URL.
  * build/entities/common.ent: Note for installation size to avoid
    installing qemu-user-agent.
  * build/entities/common.ent: Update numbers.
  * build/arch-options/{amd64,i386,hurd-i386}: Update minimum memory sizes.

  [ Holger Wansing ]
  * Some more UEFI updates. Closes: #905173
  * Add some documentation about creation of partition tables, especially gpt.
    Closes: #644430, #691046.
  * Add chapter about verifying the integrity of installation images.
    Closes: #975331
  * Fix supernumerous space after 'arch-title' entity.
  * Document the activation of the (experimental) graphical installer for arm64.
  * Update supported archs for bullseye.
  * Introduce entity for supported archs (use in appendix D.3).
  * Set Danish, Japanese, Kabyle and Russian translation to outdated.

  [ Steve McIntyre ]
  * We work with UEFI Secure Boot, let's say so. Closes: #919233

  [ Updated translations ]
  * Catalan by d
  * Chinese (simplified) by Tao Wang, Liu Tao, Liao Junchao and Keen
  * Dutch by Frans Spiesschaert
  * French by Baptiste Jammet
  * German by Holger Wansing
  * Greek by galaxico
  * Italian by Luca Monducci
  * Norwegian Bokmål by Allan Nordhøy
  * Portuguese by Miguel Figueiredo
  * Spanish by Camaleón, Javier Fernandez-Sanguino Peña and Vibo Lavida
  * Swedish by Luna Jernberg

  [ New translations ]
  * Translation effort started for Kabyle language: po files added.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Mar 2021 18:19:17 +0100

installation-guide (20200715) unstable; urgency=medium

  [ Holger Wansing ]
  * Show a build version within the manual, parsed from debian/changelog.
  * Also add the '#_preseed_V1' header, when building the example-preseed.txt
    for the website, as it is already in the binary packages.
  * Fix gawk warnings about invalid regexp escapes with latest gawk version.
    Thanks to Mattia Rizzolo for the hint.
  * Correct filename syntax for PDF and TXT formats, when building for the
    website, to get valid filename suffixes.
  * Update view of boot screen (add dark theme installer menu).
  * Update copyright year to 2020.
  * Drop mips from built archs.
  * Remove docs on no-longer-existing 'print-server' task.
  * Update manual regarding the latest bootloader changings (removal of lilo +
    globally changing the term "Installing GRUB on a harddisk" into
    "Installing GRUB on the primary drive").
  * Also mention Windows 10 fast-startup feature in-line with fast-boot from
    Windows 8. Closes: #939862
  * Move advise for downloading netboot/hd-media files from chapter 5.1.5. to
    4.4.1. where it belongs. And convert filenames into clickable links.
    Closes: #284760, #322694.
  * Add condition 'manual-usb-prep-supported' to display chapters for manual
    USB stick preparation in amd64 and i386 only (chapter was also active
    for arm64 before, but needs an overhaul first, to be useful).
  * Rephrase sentence about preparing USB storage devices (using GNU/Linux
    systems is recommended, but not strictly required). Closes: #837073
  * Add a chapter to illustrate examples of boot prompt lines with preseeding
    options (an idea of Richard Owlett, thanks).
  * Add preseeding information about EFI partitions. Closes: #924290.
  * texlive-lang-chinese: Additional Build-Depends for PDF in CJK languages.
    Closes: #963450.

  [ Changwoo Ryu ]
  * Improve Korean pdf

  [ Updated translations ]
  * Catalan by Joan Montané
  * Dutch by Frans Spiesschaert
  * French by Baptiste Jammet
  * German by Holger Wansing
  * Greek by galaxico
  * Hungarian
  * Italian by Luca Monducci
  * Korean by Changwoo Ryu
  * Norwegian Bokmål by Allan Nordhøy
  * Norwegian Nynorsk by Yngve Spjeld-Landro
  * Portuguese by Miguel Figueiredo
  * Swedish by Mattias Münster, Leif-Jöran Olsson and Andreas Rönnquist
  * Spanish by Camaleón. Closes: #960085, #961204, #961339, #961340, #961502,
    #961341.

  [ Stéphane Blondon ]
  * Update html style to website style. Closes: #871730

 -- Samuel Thibault <sthibault@debian.org>  Wed, 15 Jul 2020 22:42:02 +0200

installation-guide (20191229+rebuild1) unstable; urgency=medium



## installation-guide 20220129~deb11u1

=== debian/changelog ===
installation-guide (20220129~deb11u1) bullseye; urgency=medium

  * Backport documentation fixes to bullseye.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Feb 2022 01:36:22 +0100

installation-guide (20220129) unstable; urgency=medium

  [ Holger Wansing ]
  * Update supported devices in Bullseye for armel.
  * Include a note on how to change init system during install. Closes: #992034
  * Add missing preseed line for apt-setup in example-preseed template.
    Closes: 992183
  * Don't call 'Linux' an operating system, use 'GNU/Linux' instead.
    Closes: 993475
  * Some clarifications on preseeding. Closes: #603444
  * Preseeding: add a comment about automatic network configuration being the
    default method. Closes: #838948
  * Document the new 'avoid the tasksel prompt' preseeding feature, introduced
    in pkgsel 0.69.
  * Overhaul of chapter 'Preparing Files for USB Memory Stick Booting'.
    Closes: #604839, #988472, #408643.
  * Some corrections/optimizations in doc structure related to graphical
    installer.
  * Consistently use 'text-based' for the text installer (newt frontend)
    instead of 'character-based' or 'textual installer'.
  * Improve description of popcon functionality.
  * Remove mark for Spanish being an unsupported/outdated translation, thanks
    to eulalio.
  * Document how to preseed disabling of 'cdrom' sources.list entries for
    DVD/BD installation images.

  [ Samuel Thibault ]
  * Provide more details on the textual front-end keyboard shortcuts.
  * Fix partman-partitioning/choose_label type to select.

  [ Stéphane Blondon ]
  * Update CSS for notes, warnings and code block

  [ Updated translations ]
  * Catalan by d
  * Chinese (simplified) by 吕文彬 and Boyuan Yang
  * Dutch by Frans Spiesschaert
  * German by Holger Wansing
  * Italian by Luca Monducci
  * Japanese by Hideki Yamane
  * Portuguese by Miguel Figueiredo
  * Romanian by ionut eugen
  * Spanish by eulalio
  * Swedish by Luna Jernberg

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Jan 2022 23:37:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/installer-team/installation-guide.git
 Vcs-Browser: https://salsa.debian.org/installer-team/installation-guide
-Build-Depends: debhelper (>= 6)
-Build-Depends-Indep: docbook, docbook-xml, docbook-xsl, xsltproc, gawk, libhtml-parser-perl, w3m, poxml, dblatex, docbook-dsssl, ghostscript, texlive-xetex, lmodern, texlive-lang-cyrillic, texlive-lang-czechslovak, texlive-lang-european, texlive-lang-french, texlive-lang-german, texlive-lang-greek, texlive-lang-italian, texlive-lang-korean, texlive-lang-other, texlive-lang-portuguese, texlive-lang-spanish, fonts-wqy-microhei, fonts-vlgothic, fonts-nanum, fonts-nanum-coding, fonts-freefont-ttf
+Build-Depends: debhelper-compat (= 12)
+Build-Depends-Indep: docbook, docbook-xml, docbook-xsl, xsltproc, gawk, libhtml-parser-perl, w3m, poxml, dblatex, docbook-dsssl, ghostscript, texlive-xetex, lmodern, texlive-lang-chinese, texlive-lang-cyrillic, texlive-lang-czechslovak, texlive-lang-european, texlive-lang-french, texlive-lang-german, texlive-lang-greek, texlive-lang-italian, texlive-lang-korean, texlive-lang-other, texlive-lang-portuguese, texlive-lang-spanish, fonts-wqy-microhei, fonts-vlgothic, fonts-noto-cjk, fonts-freefont-ttf
 # This comment can also be used to generate a Build-Depends-Indep line, by
 # running the debian/genbuilddeps program. So put each build dep on its own
 # line, prefixed by " - " and to comment out a build dep, start the line
@@ -34,6 +34,7 @@
 #	- texlive-xetex
 # 	- lmodern
 #		For pdfs.
+#	- texlive-lang-chinese
 #	- texlive-lang-cyrillic
 #	- texlive-lang-czechslovak
 #	- texlive-lang-european
@@ -57,8 +58,7 @@
 #		Font for Chinese pdf.
 #	- fonts-vlgothic
 #		Font for Japanese pdf.
-#	- fonts-nanum
-#	- fonts-nanum-coding
+#	- fonts-noto-cjk
 #		Font for Korean pdf.
 #	- fonts-freefont-ttf
 
@@ -160,17 +160,17 @@
 # running on the Intel x86 architecture, in a variety of languages.
 # .
 # A shorter reference, the installation HOWTO, is included in an appendix.
-
-Package: installation-guide-mips
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Conflicts: installation-guide
-Description: Debian installation guide for mips
- This package contains the Debian installation guide for the big-endian
- 32bit MIPS architecture, in a variety of languages.
- .
- A shorter reference, the installation HOWTO, is included in an appendix.
+#
+#Package: installation-guide-mips
+#Architecture: all
+#Multi-Arch: foreign
+#Depends: ${misc:Depends}
+#Conflicts: installation-guide
+#Description: Debian installation guide for mips
+# This package contains the Debian installation guide for the big-endian
+# 32bit MIPS architecture, in a variety of languages.
+# .
+# A shorter reference, the installation HOWTO, is included in an appendix.
 
 Package: installation-guide-mips64el
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 PARALLEL=-j$(DEB_PARALLEL_JOBS)
 endif
 
+export FORCE_SOURCE_DATE=1
 
 MANTMP=$(shell pwd)/debian/manual
 
@@ -70,7 +71,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	
 binary-arch:

## installation-guide 20230215

=== debian/changelog ===
installation-guide (20230215) unstable; urgency=medium

  [ Holger Wansing ]
  * Bump release name to bookworm.
  * Add translation files for Indonesian.
  * Clean-up of outdated/no longer used content:
    * remove docs for non-release archs (ia64, mips, hppa, sparc, powerpc);
      this includes docs for various bootloader installers.
  * Set Danish translation to up-to-date; thanks to Joe Hansen.
  * Add hint for inclusion of installation log files in bug template.
  * Encourage users to file installation reports in English.

  [ Samuel Thibault ]
  * Document changed behaviour for choice selection via arrow keys in text
    frontend.
  * rules: Leverage /usr/share/dpkg/pkg-info.mk to provide package
    information.
  * install-methods: Use archive-mirror entity. Closes: #1030002

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

  [ Updated translations ]
  * Catalan by d
  * Danish by Joe Hansen
  * Spanish by eulalio and Luiz Carlos Lucasv
  * German by Holger Wansing
  * Italian by Luca Monducci
  * Korean by Changwoo Ryu
  * Dutch by Frans Spiesschaert
  * Portuguese by Miguel Figueiredo
  * Ukranian by Andrij Mizyk
  * Chinese (simplified) by Wenbin Lv and unstartdev

  [ New translation ]
  * Indonesian by Andika Triwidada - translation completed! Many thanks to
    Andika!

  [ Philip Hands ]
  * mention base64:// option for apt-setup/localN/key

  [ Cyril Brulebois ]
  * Update all firmware-related information, following the 2022 General
    Resolution about non-free firmware and all the changes that were
    implemented since then.
  * buildone.sh: skip PDF generation for Greek (el), since xelatex fails.
  * rules: Avoid “Fontconfig error: No writable cache directories” (seen
    during PDF generation) in chroots, by setting HOME to a writable
    location, inside the build tree.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 15 Feb 2023 21:54:41 +0100

## installation-guide 20230508+deb12u1

=== debian/changelog ===
installation-guide (20230508+deb12u1) bookworm; urgency=medium

  [ Holger Wansing ]
  * Add Indonesian (as a recently added new translation) to langlist, to get
    this translation into the package.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Jul 2023 15:25:17 +0200

installation-guide (20230508) unstable; urgency=medium

  [ Samuel Thibault ]
  * Update figures. Update text about root vs /usr, as the latter is now
    systematically in root.

  [ Holger Wansing ]
  * Document minimal required harddisc space as 4 gigabytes instead of 2
    gigabytes. (Closes: #1032940)
  * Update chapter for preparing installation media. (Closes: #1033524)
    * simplify instructions for making bootable USB media
    * remove mentions of mini.iso image
    * remove mentions of loadlin
  * Remove chapter about booting the installer from Windows. Support for
    win32-loader has been removed from the installer.

  [ Chris Hofstaedtler ]
  * Remove dmraid (sata raid) from the doc; src:dmraid has dropped its udebs,
    and the experimental support from the installer was also removed.
    Closes: #1033535.

  [ New translations ]
  * Romanian by Remus-Gabriel Chelu, many thanks!

  [ Updated translations ]
  * Catalan by d
  * Greek by galaxico
  * Spanish by gallegonovato
  * French by Baptiste Jammet
  * German by Holger Wansing
  * Indonesian by Andika Triwidada
  * Italian by Luca Monducci
  * Korean by Changwoo Ryu
  * Dutch by Frans Spiesschaert
  * Portuguese by Miguel Figueiredo
  * Chinese (simplified) by Wenbin Lv

 -- Samuel Thibault <sthibault@debian.org>  Mon, 08 May 2023 22:47:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/installer-team/installation-guide.git
 Vcs-Browser: https://salsa.debian.org/installer-team/installation-guide
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: docbook, docbook-xml, docbook-xsl, xsltproc, gawk, libhtml-parser-perl, w3m, poxml, dblatex, docbook-dsssl, ghostscript, texlive-xetex, lmodern, texlive-lang-chinese, texlive-lang-cyrillic, texlive-lang-czechslovak, texlive-lang-european, texlive-lang-french, texlive-lang-german, texlive-lang-greek, texlive-lang-italian, texlive-lang-korean, texlive-lang-other, texlive-lang-portuguese, texlive-lang-spanish, fonts-wqy-microhei, fonts-vlgothic, fonts-noto-cjk, fonts-freefont-ttf
 # This comment can also be used to generate a Build-Depends-Indep line, by
 # running the debian/genbuilddeps program. So put each build dep on its own

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,11 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/pkg-info.mk
 ARCHS=$(shell cd debian; ./getfromlist archlist)
 LANGS=$(shell cd debian; ./getfromlist langlist)
-VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
-DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
-SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
-ifeq (${SUITE},unstable)
-SUITE=buster
+DATE=$(shell echo $(DEB_VERSION) | cut -d '.' -f 1)
+ifeq ($(DEB_DISTRIBUTION),unstable)
+DEB_DISTRIBUTION=bookworm
 endif
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -19,13 +18,16 @@
 
 export FORCE_SOURCE_DATE=1
 
+# Avoid “Fontconfig error: No writable cache directories” in chroots:
+export HOME=$(CURDIR)/debian/fake-home
+
 MANTMP=$(shell pwd)/debian/manual
 
 clean:
 	dh_testdir
 	dh_testroot
 	dh_clean build-stamp
-	rm -rf $(MANTMP)
+	rm -rf $(MANTMP) $(CURDIR)/debian/fake-home
 	dh_clean doc-base-stamp
 	rm -rf debian/installation-guide-*.doc-base.*
 	rm -rf build/build.out* build/build.tmp* build/build.po
@@ -62,7 +64,7 @@
 	-rm -rf $(MANTMP)
 	set -e && cd build && \
 		MAKEFLAGS="$(PARALLEL)" \
-		official_build=1 manual_release=$(SUITE) \
+		official_build=1 manual_release=$(DEB_DISTRIBUTION) \
 		architectures="$(ARCHS)" languages="$(LANGS)" \
 		destination=$(MANTMP)/'$${arch}' noarchdir=1 \
 		./build.sh
@@ -90,15 +92,5 @@
 	dh_md5sums
 	dh_builddeb
 
-	# Create a tarball for each arch for use in debian-cd
-	# Note: these should be uploaded manually
-	#set -e && cd $(MANTMP) && \
-	#    for arch in $(ARCHS) ; do \
-	#	tarname=di-manual-$${arch}_$(VERSION).tar.gz ; \
-	#	cd $$arch ; \
-	#	tar czf ../../../../$$tarname . ; \
-	#	cd .. ; \
-	#    done
-
-binary: binary-indep binary-arch 
-.PHONY: build build-arch build-indep build-images clean binary-indep binary-arch binary install 
+binary: binary-indep binary-arch
+.PHONY: build build-arch build-indep build-images clean binary-indep binary-arch binary install

## installation-guide 20230623

=== debian/changelog ===
installation-guide (20230623) unstable; urgency=medium

  [ Vincent Danjean ]
  * Document power-of-two support in partman (See: #913431).

  [ Holger Wansing ]
  * Add Indonesian (as a recently added new translation) to langlist, to get
    this translation into the package.

  [ Updated translations ]
  * Dutch by Frans Spiesschaert

 -- Samuel Thibault <sthibault@debian.org>  Fri, 23 Jun 2023 01:16:33 +0200
